<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class AlteraDados extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('Cadastro_Model');
        $this->load->model('Saldo_Model');
        $this->load->model('Pagamento_Model');
        $this->load->database();
        $this->load->library('form_validation');
        $this->load->library('sanitize');
        $this->ci = & get_instance();
        $this->ci->load->config('url', TRUE);
    }

    public function alteradados() {
        
        $aluno = $this->Cadastro_Model->verificaAluno();
        
        if (!empty($aluno)) {
        $dados = array(
            'clientes' => $this->Saldo_Model->saldo(), 'cliente' => $this->Cadastro_Model->verificaAluno()
        );
        $this->load->view('alteradados', $dados);
        } else {
        redirect('base');   
        }
    }

    public function alteracao() {

        $data = array(
        'ddd_celular' => $this->input->post('ddd_celular', TRUE),'nome_negocio' => $this->input->post('nome_negocio', TRUE), 'celular' => $this->input->post('celular', TRUE), 'cep' => str_replace('-', '', $this->input->post('cep', TRUE)), 'endereco' => $this->input->post('endereco', TRUE), 'numero' => $this->input->post('numero', TRUE), 'complemento' => $this->sanitize->filter($this->input->post('complemento'), array('html')), 'bairro' => $this->input->post('bairro', TRUE), 'cidade' => $this->input->post('cidade', TRUE), 'estado' => $this->input->post('estado', TRUE), 'email' => $this->input->post('email', TRUE)
        );

        $this->form_validation->set_rules('nome', 'nome', 'trim|required', array('required' => 'O seu nome está em branco'));
        $this->form_validation->set_rules('ddd_celular', 'ddd', 'trim|required|min_length[2]|max_length[2]', array('required' => 'O DDD está em branco', 'min_length' => 'Verifique o seu DDD', 'max_length' => 'Verifique o seu DDD'));
        $this->form_validation->set_rules('celular', 'celular', 'trim|required|min_length[8]|max_length[9]', array('required' => 'O DDD está em branco', 'min_length' => 'Verifique o seu celular', 'max_length' => 'Verifique o seu celular'));
        $this->form_validation->set_rules('cep', 'cep', 'trim|required', array('required' => 'O seu cep está em branco'));
        $this->form_validation->set_rules('endereco', 'endereco', 'trim|required', array('required' => 'O seu endereço está em branco'));
        $this->form_validation->set_rules('numero', 'número', 'trim|required', array('required' => 'O seu número está em branco'));
        $this->form_validation->set_rules('bairro', 'bairro', 'trim|required', array('required' => 'O seu bairro está em branco'));
        $this->form_validation->set_rules('cidade', 'cidade', 'trim|required', array('required' => 'A sua cidade está em branco'));
        $this->form_validation->set_rules('estado', 'estado', 'trim|required|min_length[2]|max_length[2]', array('required' => 'O seu estado está em branco'));
        $this->form_validation->set_rules('email', 'e-mail', 'trim|required', array('required' => 'O seu e-mail está em branco'));

        if ($this->form_validation->run() == FALSE) {
            $form = validation_errors('<div class="alert alert-error" role="alert"><span class="glyphicon glyphicon-exclamation-sign login-span"></span> ',' </div>');
            $dados = array(
                'clientes' => $this->Saldo_Model->saldo(), 'cliente' => $this->Cadastro_Model->verificaAluno(), 'erro_form' => $form
            );
            $this->load->view('alteradados', $dados);
        } else {
            
            $dados = $this->Saldo_Model->recuperaDados();
            $ddd = $dados['ddd_celular'];
            $celular = $dados['celular'];
          
            $rec = $this->Saldo_Model->recuperaemail();
            $email = $rec['email'];
            
            $meusdados = $this->Saldo_Model->recuperaDadosCliente();
            $DDD = $meusdados['ddd_celular'];
            $CEL = $meusdados['celular'];
            $EMAIL = $meusdados['email'];
            
            
            if ($email != NULL && $EMAIL != $email) {
            $this->session->set_flashdata('erro-email', '<div class="alert alert-error" role="alert"><span class="glyphicon glyphicon-exclamation-sign login-span"></span> O e-mail informado já está cadastrado </div>');
            redirect('alteradados');    
            } else {
            $this->Saldo_Model->atualizadado($data);
            $this->session->set_flashdata('sucesso-dados', '<div class="alert alert-success" role="alert"><span class="glyphicon glyphicon-exclamation-sign login-span"></span> Dados alterados com sucesso </div>');
            redirect('alteradados');   
            }  
        }
    }
}
